#include <qwidget.h>

#include <klocale.h>

#include "newgesturewizard.h"
#include "gesture.h"
#include "namepage.h"
#include "gesturerecordpage.h"
#include "actionpage.h"

NewGestureWizard::NewGestureWizard(QList<Gesture> &gList,
				   QWidget *parent, const char *name)
  : KWizard(parent, name, true), _namePage(NULL), _gestureRecordPage(NULL)
  {
  _namePage = new NamePage(this, "namePage");
  addPage(_namePage, i18n("New Gesture Wizard"));

  _gestureRecordPage = new GestureRecordPage(gList, this, name);
  connect(_gestureRecordPage, SIGNAL(readyForNext(bool)),
	  this, SLOT(slotReadyForNext(bool)));
  addPage(_gestureRecordPage, i18n("Gesture Recording"));
  setNextEnabled(_gestureRecordPage, false);

  _actionPage = new ActionPage(this, name);
  addPage(_actionPage, i18n("Assign an Action"));
  setFinishEnabled(_actionPage, true);
  }

NewGestureWizard::~NewGestureWizard()
  {
  }

Gesture *NewGestureWizard::getGesture()
  {
  Gesture *gest = _gestureRecordPage->getGesture();
  
  gest->setAction(_actionPage->getAction());
  gest->setName(_namePage->getGestureName());

  return gest;
  }

void NewGestureWizard::slotReadyForNext(bool state)
  {
  setNextEnabled(currentPage(), state);
  }
