#ifndef GESTURE_H
#define GESTURE_H

#include <qobject.h>
#include <qstring.h>
#include <qlist.h>

class KConfig;

class Gesture
  {
    public:
  Gesture();
  Gesture(const QString &data);
  ~Gesture();

  const QString &getData() const { return _data; }

  const QString &getAction() const { return _action; }
  void setAction(const QString &action) { _action = action; }

  const QString &getName() const { return _name; }
  void setName(const QString &name) { _name = name; }

  Q_UINT32 getUID() const { return _uid; }
  
  bool operator==(const Gesture &compareTo);

  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);
  
  static QList<Gesture> readGestures(KConfig &config);
  static void writeGestures(QList<Gesture> &gList, KConfig &config);
  
    private:
  QString _data;
  QString _action;
  QString _name;
  Q_UINT32 _uid;
  
  static Q_UINT32 _sUIDCounter;
  };

#endif
